Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class MySceduleFileData
    Inherits BaseObject
    Private _MySchedule As MySchedule
    Private _DocumentType As String
    Private _DocumentFileData As DocumentFileData
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("MySchedule-MyScheduleFileData", GetType(MySchedule))> _
    Property MyScedule As MySchedule
        Get
            Return _MySchedule
        End Get
        Set(value As MySchedule)
            SetPropertyValue("MySchedule", _MySchedule, value)
        End Set
    End Property
    Property DocumentType As String
        Get
            Return _DocumentType
        End Get
        Set(value As String)
            SetPropertyValue("DocumentType", _DocumentType, value)
        End Set
    End Property
    Property DocumentFileData As DocumentFileData
        Get
            Return _DocumentFileData
        End Get
        Set(value As DocumentFileData)
            SetPropertyValue("DocumentFileData", _DocumentFileData, value)
        End Set
    End Property

End Class
